首页  »   Apache

Target runtime Apache Tomcat v7.0 is not defined

网友分享于:2013-07-16  浏览:0次
Target runtime Apache Tomcat v7.0 is not defined.
1、根据字面意思得出“Apache Tomcat v7.0”未定义;
2、百度查出问题出在文件“org.eclipse.wst.common.project.facet.core.xml”中,在文件中果然找到了“ <runtime name="Apache Tomcat v7.0"/>”;
3、既然“Apache Tomcat v7.0”是一个name属性,那么是否意味着找不到此那么属性找不到对应的信息;
4、试着在eclipse->窗口->首选项中输入runtime,居然找到了“Runtime Environment”属性,内容为空;抱着不管三七二十一的想法试下吧, Add—>Apache->Apache Tomcat v7.0->下一步->Tomcat installation directory(选择tomcat安装目录)->完成,居然没报错了,成功解决。

解决办法二:直接在“问题”选项卡中,在错误中右击,选择“快速修正”,然后同上述步骤4,即可解决。

如果知道你自己配的tomcat名字,进入“org.eclipse.wst.common.project.facet.core.xml”修改 <runtime name="tomcat名字"/>,然后把项目refresh下就ok了

相关解决方案

最新解决方案